/*
 * Copyright (c) 2016 Manuel Braga <mul.braga@gmail.com>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sub license,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the
 * next paragraph) shall be included in all copies or substantial portions
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

#include <stdlib.h>
#include <stdio.h>
#include <libavformat/avformat.h>
#include "common.h"

int main(int argc, char *argv[])
{
	int i;
	AVStream *s = NULL;
	AVPacket *p = NULL;

	if(argc != 2) {
		fprintf(stderr, "Usage: %s video_to_remux.mkv\n", argv[0]);
		exit(1);
	}
	s = demux_open(argv[1]);

	mux_init("out.mkv");

	mux_write_header(s->codec->extradata, s->codec->extradata_size);

	while((p = demux_packet())) {
		mux_write(p->data, p->size, (p->flags & AV_PKT_FLAG_KEY) ? 1 : 0);
	}

	mux_close();

	demux_close();

	return 0;
}

